#!/bin/sh
#
# $FreeBSD: ports/net-mgmt/ipcad/files/ipcad.in,v 1.1 2006/02/20 02:48:34 mnag Exp $
#
# PROVIDE: ipcad
# REQUIRE: DAEMON
#
# Add the following lines to /etc/rc.conf to run ipcad:
#
# ipcad_enable (bool):		Set it to "YES" to enable ipcad.
#				Default is "NO".
# ipcad_conf (file):		Set local of config file.
#				Default is "/usr/local/etc/ipcad.conf".
#

. /etc/rc.subr

name="ipcad"
rcvar=${name}_enable

load_rc_config ${name}

: ${ipcad_enable="NO"}
: ${ipcad_conf="/usr/local/etc/ipcad.conf"}
: ${ipcad_flags=""}

required_files="${ipcad_conf}"
command=/usr/local/bin/ipcad
command_args="-rds -c ${ipcad_conf}"

run_rc_command "$1"
